Module com.io7m.jregions.core
Package com.io7m.jregions.core.unparameterized.sizes

## Class AreaSizeBI.Builder

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.sizes.AreaSizeBIType.Builder
  - - com.io7m.jregions.core.unparameterized.sizes.AreaSizeBI.Builder

- Enclosing class:
    AreaSizeBI

      public static final class AreaSizeBI.Builder
      extends AreaSizeBIType.Builder

  Builds instances of type `AreaSizeBI`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AreaSizeBI` | `build​()` | Builds a new `AreaSizeBI`.
    `AreaSizeBI.Builder` | `from​(AreaSizeBIType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeBIType` instance.
    `AreaSizeBI.Builder` | `from​(AreaSizeValuesBIType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesBIType` instance.
    `AreaSizeBI.Builder` | `setSizeX​(java.math.BigInteger sizeX)` | Initializes the value for the `sizeX` attribute.
    `AreaSizeBI.Builder` | `setSizeY​(java.math.BigInteger sizeY)` | Initializes the value for the `sizeY` attribute.

    - ### Methods inherited from class com.io7m.jregions.core.unparameterized.sizes.AreaSizeBIType.Builder

      `setHeight, setWidth`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final AreaSizeBI.Builder from​(AreaSizeBIType instance)

      Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeBIType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final AreaSizeBI.Builder from​(AreaSizeValuesBIType instance)

      Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesBIType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setSizeX

          public final AreaSizeBI.Builder setSizeX​(java.math.BigInteger sizeX)

      Initializes the value for the `sizeX` attribute.
      Parameters:
        `sizeX` - The value for sizeX
      Returns:
        `this` builder for use in a chained invocation

    - #### setSizeY

          public final AreaSizeBI.Builder setSizeY​(java.math.BigInteger sizeY)

      Initializes the value for the `sizeY` attribute.
      Parameters:
        `sizeY` - The value for sizeY
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public AreaSizeBI build​()

      Builds a new `AreaSizeBI`.
      Returns:
        An immutable instance of AreaSizeBI
      Throws:
        `java.lang.IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com